Debian Bug report logs - #326024
mailman: Unhandled exception in date handling causes mails to fail to be processed correctly

version graph

Package: mailman; Maintainer for mailman is Mailman for Debian <pkg-mailman-hackers@lists.alioth.debian.org>; Source for mailman is src:mailman.

Reported by: Guus Sliepen <guus@debian.org>

Date: Thu, 1 Sep 2005 10:03:02 UTC

Severity: important

Tags: fixed, patch

Found in version mailman/2.1.5-8

Fixed in version mailman/2.1.5-10

Done: Lionel Elie Mamane <lmamane@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#326024; Package mailman. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
New Bug report received and forwarded. Copy sent to Tollef Fog Heen <tfheen@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mailman: Unhandled exception in date handling causes mails to fail to be processed correctly
Date: Thu, 01 Sep 2005 09:58:59 +0000
[Message part 1 (text/plain, inline)]
Package: mailman
Version: 2.1.5-8
Severity: important
Tags: patch

Hello,

On a machine running mailman with a large number of heavily used mailing
lists, suddenly mail to one mailing list did not get processed anymore.
After investigating I found this in mailman's error log:

Sep 01 06:33:29 2005 (7385) Traceback (most recent call last):
  File "/usr/lib/mailman/Mailman/Queue/Runner.py", line 111, in _oneloop
    self._onefile(msg, msgdata)
  File "/usr/lib/mailman/Mailman/Queue/Runner.py", line 167, in _onefile
    keepqueued = self._dispose(mlist, msg, msgdata)
  File "/usr/lib/mailman/Mailman/Queue/IncomingRunner.py", line 130, in _dispose
    more = self._dopipeline(mlist, msg, msgdata, pipeline)
  File "/usr/lib/mailman/Mailman/Queue/IncomingRunner.py", line 153, in _dopipeline
    sys.modules[modname].process(mlist, msg, msgdata)
  File "/var/lib/mailman/Mailman/Handlers/ToDigest.py", line 91, in process
    send_digests(mlist, mboxfp)
  File "/var/lib/mailman/Mailman/Handlers/ToDigest.py", line 132, in send_digests
    send_i18n_digests(mlist, mboxfp)
  File "/var/lib/mailman/Mailman/Handlers/ToDigest.py", line 306, in send_i18n_digests
    msg = scrubber(mlist, msg)
  File "/var/lib/mailman/Mailman/Handlers/Scrubber.py", line 170, in process
    dir = calculate_attachments_dir(mlist, msg, msgdata)
  File "/var/lib/mailman/Mailman/Handlers/Scrubber.py", line 131, in calculate_attachments_dir
    datedir = safe_strftime(fmt, now)
  File "/var/lib/mailman/Mailman/Handlers/Scrubber.py", line 115, in safe_strftime
    return time.strftime(fmt, floatsecs)
OverflowError: long int too large to convert to int

The attached patch fixes this problem.

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.12.2-p4-uvt
Locale: LANG=nl_NL.UTF-8, LC_CTYPE=nl_NL.UTF-8 (charmap=UTF-8)

Versions of packages mailman depends on:
ii  apache [httpd]              1.3.33-6     versatile, high-performance HTTP s
ii  cron                        3.0pl1-86    management of regular background p
ii  debconf                     1.4.30.13    Debian configuration management sy
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an
ii  logrotate                   3.7-5        Log rotation utility
ii  pwgen                       2.03-1       Automatic Password generation
ii  python                      2.3.5-2      An interactive high-level object-o
ii  ssmtp [mail-transport-agent 2.61-2       extremely simple MTA to get mail o
ii  ucf                         1.17         Update Configuration File: preserv

-- debconf information excluded
[mailman-unhandled-exception-fix.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#326024; Package mailman. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. Full text and rfc822 format available.

Message #10 received at 326024@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: 326024@bugs.debian.org
Subject: Re: Bug#326024: mailman: Unhandled exception in date handling causes mails to fail to be processed correctly
Date: Thu, 1 Sep 2005 12:45:41 +0200
[Message part 1 (text/plain, inline)]
And another unhandled exception in ArchRunner.py is fixed in the
attached patch.

-- 
Met vriendelijke groet / with kind regards,
    Guus Sliepen <guus@sliepen.eu.org>
[mailman-another-fix.patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#326024; Package mailman. Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. Full text and rfc822 format available.

Message #15 received at 326024@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: 327732@bugs.debian.org, 326024@bugs.debian.org, 310451@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Mailman bugs tags galore
Date: Sun, 13 Nov 2005 18:38:38 +0100
tags 327732 +pending security
tags 326024 +pending
tags 310451 +pending
thanks

A patch hopefully fixing this bug has been committed to the SVN
repository of the package. If it survives some yet-to-be-made testing,
it will be part of the next upload.

Yours truly,

-- 
Lionel Mamane



Tags added: pending Request was from Lionel Elie Mamane <lionel@mamane.lu> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Lionel Elie Mamane <lmamane@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Guus Sliepen <guus@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 326024-close@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lmamane@debian.org>
To: 326024-close@bugs.debian.org
Subject: Bug#326024: fixed in mailman 2.1.5-10
Date: Sat, 26 Nov 2005 01:32:08 -0800
Source: mailman
Source-Version: 2.1.5-10

We believe that the bug you reported is fixed in the latest version of
mailman, which is due to be installed in the Debian FTP archive:

mailman_2.1.5-10.diff.gz
  to pool/main/m/mailman/mailman_2.1.5-10.diff.gz
mailman_2.1.5-10.dsc
  to pool/main/m/mailman/mailman_2.1.5-10.dsc
mailman_2.1.5-10_sparc.deb
  to pool/main/m/mailman/mailman_2.1.5-10_sparc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 326024@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lionel Elie Mamane <lmamane@debian.org> (supplier of updated mailman package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.7
Date: Sat, 26 Nov 2005 10:03:23 +0100
Source: mailman
Binary: mailman
Architecture: source sparc
Version: 2.1.5-10
Distribution: unstable
Urgency: low
Maintainer: Mailman for Debian <pkg-mailman-hackers@lists.alioth.debian.org>
Changed-By: Lionel Elie Mamane <lmamane@debian.org>
Description: 
 mailman    - Powerful, web-based mailing list manager
Closes: 244700 298842 310451 312673 313800 315358 326024 327732 332018 339582 339890 340036
Changes: 
 mailman (2.1.5-10) unstable; urgency=low
 .
   * Merge with 2.1.5-8ubuntu2:
     Python 2.4 compatibility patch in bounce handling.
   * Don't fall apart if the filename of an attachment is an invalid UTF-8
     string (closes: #327732)
   * Don't die on overflow in date handling (closes: #326024)
   * Enable error handling in HyperArch (closes: #310451)
   * Ensure list-id is always in brackets in headers (closes: #244700)
   * Admin page: don't assume subscribed emails are pure ASCII
     (closes: #315358)
   * Bump up Standards-Version to 3.6.2
   * Add vietnamese translation (closes: #312673)
   * Apply corrections to german translation (closes: #313800)
   * Adapt to the md5sum in dpkg or coreutils automatically (closes: #340036)
   * More robust parsing of /var/lib/ucf/hashfile:
     - Don't touch files of other packages that happen to have
       our file's full path as subpath.
     - Accept any number of spaces between the hash and the filename there.
   * Work around ucf bug #238730 for postfix-to-mailman.py, too.
   * Fix traceback on Danish version of options page (closes: #339582)
   * Fix the private authentication form to point to the right file
     (closes: #298842)
   * Add Swedish debconf template translation (closes: #339890)
   * Depend on any debconf-2.0 implementation instead of debconf
     specifically (closes: #332018)
   * Copyright file:
     - New FSF address
     - List the other maintainers
   * Depend on adduser, used in preinst
   * Move away from deprecated user.group syntax in chown
   * Ensure package is built with autoconf 2.5x, not autoconf 2.13
Files: 
 5b95f8fb72914b06671e9f6456a4c98f 740 mail optional mailman_2.1.5-10.dsc
 bd18d18647a42bf574838919762a7324 200228 mail optional mailman_2.1.5-10.diff.gz
 8593eb6dd20d33bb913d332d46861d3b 6620074 mail optional mailman_2.1.5-10_sparc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iEYEAREDAAYFAkOIKvQACgkQscRzFz57S3O5qACeM6eQIR43ywNLUdfEfjW6Vigt
qmUAn33W4Yg9cATH7ZSjjHnXObSGdNfk
=oT8O
-----END PGP SIGNATURE-----




Tags added: fixed Request was from Lionel Elie Mamane <lmamane@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:31:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:52:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.